Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008603 [DCSS] Bug Report minor have not tried 2014-05-27 07:10 2014-06-01 05:19
Reporter sim View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008603: crash in labyrinth
Description walked to the end, killed the minotaur. i went to the treasure and attempted to pick it all up which resulted in a crash. save provided below!

https://dobrazupa.org/saves/simm-crawl-git-e63b8743ae-140527-0509.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026336)
MarvinPA (developer)
2014-05-30 18:34
edited on: 2014-05-30 18:38

The crash seems to happen when picking up the manual of Staves from the loot. It also only crashes when picking it up through the pickup menu, not when picking it up with autopickup or with pickup_menu = false, as far as I can tell.

(0026358)
neil (administrator)
2014-06-01 04:47
edited on: 2014-06-01 05:19

Fixed in trunk (0.15-a0-1209-g7ec5335) and stable (0.14.1-16-ge2e8429), thanks!


- Issue History
Date Modified Username Field Change
2014-05-27 07:10 sim New Issue
2014-05-30 18:34 MarvinPA Note Added: 0026336
2014-05-30 18:38 MarvinPA Note Edited: 0026336
2014-06-01 04:47 neil Note Added: 0026358
2014-06-01 04:47 neil Status new => resolved
2014-06-01 04:47 neil Fixed in Branch => 0.15 development branch
2014-06-01 04:47 neil Resolution open => done
2014-06-01 04:47 neil Assigned To => neil
2014-06-01 05:19 neil Fixed in Branch 0.15 development branch => 0.14 stable branch
2014-06-01 05:19 neil Note Edited: 0026358


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker